Skip to content

Retrieve account details

GET
/account

Retrieve a shopper's account details, such as addresses and payment information. The account's details are filtered to be relevant to your merchant account, and some fields may be missing for some accounts. See the schema for details.

Authorization

oauth bolt.account.manage, bolt.account.viewapi-key
AuthorizationBearer <token>

In: header

Scope: bolt.account.manage, bolt.account.view

X-API-Key<token>

In: header

Header Parameters

X-Publishable-Key*string

The publicly shareable identifier used to identify your Bolt merchant division.

X-Merchant-Client-Id?string

A unique identifier for a shopper's device, generated by Bolt. The value is retrieved with Bolt.state.merchantClientId in your frontend context, per-shopper. This header is required for proper attribution of this operation to your analytics reports. Omitting this header may result in incorrect statistics.

Response Body

application/json

application/json

curl -X GET "https://example.com/account" \  -H "X-Publishable-Key: string"
{  "addresses": [    {      "id": "D4g3h5tBuVYK9",      "first_name": "Alice",      "last_name": "Baker",      "company": "ACME Corporation",      "street_address1": "535 Mission St, Ste 1401",      "street_address2": "c/o Shipping Department",      "locality": "San Francisco",      "postal_code": "94105",      "region": "CA",      "country_code": "US",      "email": "alice@example.com",      "phone": "+14155550199",      "is_default": true    }  ],  "payment_methods": [    {      ".tag": "credit_card",      "id": "X5h6j8uLpVGK",      "type": "credit_card",      "billing_address": {        ".tag": "id",        "id": "D4g3h5tBuVYK9"      },      "network": "visa",      "bin": "411111",      "last4": "1004",      "expiration": "2029-03",      "token": "a1B2c3D4e5F6G7H8i9J0k1L2m3N4o5P6Q7r8S9t0",      "affirm_vcn_token": "a1B2c3D4e5F6G7H8i9J0k1L2m3N4o5P6Q7r8S9t0",      "default": true    }  ],  "profile": {    "first_name": "Alice",    "last_name": "Baker",    "email": "alice@example.com",    "phone": "+14155550199"  }}